BUILTIN=_test013

mkdir /tmp/.chentrah
rm /tmp/.chentrah/*
rm /tmp/.chentrah/cl_*.*
rm /tmp/.chentrah/mo_*.*
rm /tmp/.chentrah/cge*

bin2obj -o cl_builtin_font.inc -c builtin_font font.png
bin2obj -o cl_console_font.inc -c iim_console consolefont.png
bin2obj -o cl_bgimg_error.inc -c error_bg_img cl_background_error.png
bin2obj -o cl_j2k_test.inc -c j2k_test_image cl_test.jp2

fpc extractdwrflnfo.pp -FE../../../bin/ -FU/tmp/.chentrah/
strip -s -x -X ../../../bin/extractdwrflnfo
fpc finalizedwrflnfo.pp -FE../../../bin/ -FU/tmp/.chentrah/
strip -s -x -X ../../../bin/finalizedwrflnfo
fpc brutalstrip.pp -FE../../../bin/ -FU/tmp/.chentrah/
strip -s -x -X ../../../bin/brutalstrip
fpc incbuild.dpr -FE../../../bin/ -FU/tmp/.chentrah/
strip -s -x -X ../../../bin/incbuild

fpc chentrah.lpr -Xs -gw -XX -O3 -dcge -dnotlaz -OpPentium4 -OoUncertain -OoRegVar -OoPeepHole -Ooasmcse -Sd -Sh -Sc -Sg -Rintel -Fu./ -FE../../../  -FU/tmp/.chentrah/ -Fi../../${BUILTIN}/src/ -Fu../../${BUILTIN}/src/ -Fu../../../3rdparty/Imaging/Source/ -Fu../../../3rdparty/Imaging/Source/JpegLib/ -Fu../../../3rdparty/Imaging/Source/ZLib/  -Fi../../../3rdparty/Imaging/Source/ -Fu../../../3rdparty/Imaging/Extras/Extensions/ -Fl../../../3rdparty/Imaging/Extras/Extensions/J2KObjects/

../../../bin/incbuild build.h
../../../bin/extractdwrflnfo ../../../chentrah
strip   -s -x -X  ../../../chentrah
../../../bin/finalizedwrflnfo ../../../chentrah



